---
title: "Camera Controls"
source: /gcxone/api/camera-controls
locale: en
updated: 2026-09-04
---
Operations on camera controls resources. 6 endpoints, each relative to `https://api.nxgen.cloud/api/v1` and authenticated as described under [Authentication](/gcxone/api/authentication).

## GET /cameraControls/clipInfo

get clipinfo for timeline

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | query | string | yes | camera identifier |
| startDate | query | string | yes | epoch time |
| endDate | query | string | yes | epoch time |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

## GET /cameraControls/getSnapshot

To get snapshot detail for sensor

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| sensorUniqueId | query | string | yes | sensor unique id |
| deviceUniqueId | query | string | yes | device unique id |
| dateTime | query | string | no | date time |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

## GET /cameraControls/getStream

To get streaming detail of sensor

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| sensorId | query | string | yes | sensor id |
| channelId | query | string | no | channel id |
| startTime | query | string | no | start time of streaming |
| endTime | query | string | no | end time of streaming |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

## PUT /cameraControls/isolate

to isolate camera

### Request body

Isolate

```json
[
  {
    "id": "sensor uniqueId",
    "isIsolate": "boolean",
    "startTime": "Epoch time in milliseconds",
    "duration": "Time in minutes"
  }
]
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

## GET /cameraControls/playAudio?deviceId={deviceId}&language={language}&audioFile={audioFile}

To play audio file

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| deviceId | query | string | yes |  |
| language | query | string | yes |  |
| audioFile | query | string | yes |  |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |

## GET /cameraControls/presetPTZ

do PTZ / Preset

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| id | query | string | yes |  |
| action | query | "R" \| "R\_STOP" \| "L" \| "L\_STOP" \| "U" \| "U\_STOP" \| "D" \| "D\_STOP" \| "Z+" \| "Z+\_STOP" \| "1" \| "2" \| "3" \| "4" \| "5" \| "6" \| "7" \| "8" \| "9" \| "10" | yes | Select any value from 1 to 10 for preset, all others for PTZ |
| commandType | query | "ptz" \| "preset" | yes |  |
| webSocketPort | query | string | no | required for heitel device type |
| momentSpeed | query | string | no | PTZ speed |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |